:root {
    --headerHeight: 96px;
    --footerHeight: 240px;
    --page-border-radius: 6px;
    --primaryColor: #1C2E5D;
    --ctaColor: #F5CC00;
    --backgroundColor: #ffffff;
    --body-font: "Montserrat", sans-serif;
    --title-font: "Playfair Display", serif;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-family: var(--body-font);
    font-size: 16px;
    padding-top: var(--headerHeight);
}
main {
    flex-grow: 1;
    padding-bottom: 24px;
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6, .title {
    font-family: var(--title-font);
}

#hero .carousel-title,
.hero-slide .hero-title {
    font-size: 62px;
    width: fit-content;
}
#hero .carousel-inner,
.hero-slide {
    height: calc(75vh - var(--headerHeight, 0px));
}
#hero .carousel-item {
    height: 100%;
}
#hero .carousel-item .carousel-content,
.hero-slide .hero-content {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 48px;
}
.carousel-content .content,
.hero-slide .hero-content .content {
    height: fit-content;
    width: fit-content;
}
.carousel-copy,
.hero-copy {
    margin-top: 48px;
    max-width: 480px;
}
.carousel-indicators {
    list-style: none;
}
.carousel-indicators [data-bs-target] {
    width: 10px;
    height: 10px;
    background-color: #444;
    border-radius: 50%;
    margin: auto 12px;
}
.carousel-indicators [data-bs-target].active {
    background: var(--primaryColor);
    border: 1px solid var(--ctaColor);
}
.carousel-image,
.hero-image {
    position: relative;
    height: 100%;
}
.carousel-image figure,
.hero-image figure {
    height: 100%;
    overflow: hidden;
    margin: 0;
}
@media (max-width: 768px) {
    #hero .carousel-inner,
    .hero-slide {
        height: calc(100vh - var(--headerHeight, 0px) - 74px);
    }
    .carousel-conten,
    .hero-content {
        background: linear-gradient(to bottom, transparent 0%, #00000075 100%);
    }
    #hero .carousel-title,
    .hero-slide .hero-title {
        font-size: 10vw;
        text-align: center;
        margin: 0 auto;
        color: var(--backgroundColor);
        text-shadow: 0 0 12px #000;
    }
    .carousel-copy,
    .hero-copy {
        text-align: center;
        color: var(--backgroundColor);
    }
    .carousel-image::before
    .hero-image::before {
        content: "";
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background: #000;
        opacity: .25;
    }
    .carousel-image,
    .hero-image {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        padding: 0;
        z-index: -1;
    }
}

figure img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}
.hero-banner {
    width: 100%;
    height: 74px;
    background: var(--primaryColor);
    color: var(--backgroundColor);
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.hero-banner span,
.hero-banner .btn {
    font-weight: 200;
}
.hero-banner .btn {
    border-width: 1px;
}
@media (min-width: 768px) {
    .hero-banner::before,
    .hero-banner::after {
        content: "";
        display: inline-block;
        position: relative;
        height: 2px;
        width: 48px;
        background: var(--backgroundColor);
    }
}
@media (max-width: 768px) {
    .hero-banner span,
    .hero-banner .btn {
        font-size: 14px;
    }
    .hero-banner .btn {
        padding-top: 4px !important;
        padding-bottom: 4px !important;
    }
}

.quick-styles {
    position: relative;
    padding: 96px 0;
    overflow: hidden;
}
@media (max-width: 768px) {
    .quick-styles {
        padding: 48px 0;
    }
}
.quick-styles svg {
    position: absolute;
    height: 100%;
    opacity: .1;
    z-index: -1;
    top: 0;
    left: 0;
    transform: translate(-10%, -10%);
}

.video-feature {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 95vh;
    color: var(--backgroundColor);
}
.video-feature h2 {
    font-size: 4vw;
    text-shadow: 0 0 12px #00000075;
}
@media (max-width: 768px) {
    .video-feature h2 {
        font-size: 6vw;
    }
}
.video-feature u {
    color: var(--ctaColor);
}
.video-feature figure {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    margin: 0;
    z-index: -1;
}
.video-feature figure video {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.men-women {
    position: relative;
    height: calc(30vh + 80px)
}

.men-women .background {
    height: calc(100% - 80px);
    display: flex;
    justify-content: center;
    background: linear-gradient(to bottom, #acacac 0%, #8e8e8e 100%);
}
.men-women .content {
    position: absolute;
    top: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: top;
    height: 100%;
}

.men-women .section {
    height: 100%;
    margin: 0 10vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}
.men-women figure {
    margin: 0;
    height: 30vh;
}
.men-women figure img {
    object-fit: contain;
    object-position: center bottom;
}
@media (max-width: 768px) {
    .men-women .section {
        width: 50vw;
        margin: 0;
    }
    .men-women .section .btn {
        font-size: 14px;
        margin: 0 4px;
    }
}


#header {
    position: absolute;
    top: 0;
    height: var(--headerHeight);
    padding-top: 32px;
    width: 100%;
    background: var(--backgroundColor);
    border-bottom: 1px solid black;
    height: 96px;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    z-index: 1046;
}
@media (min-width: 768px) {
    
}
header#header.sticky {
    position: fixed;
    transform: translateY(-100%);
}

header#header.ready {
    transition: .35s;
}
header#header.sticky.show {
    transform: translateY(0);
}
.header-banner {
    width: 100vw;
    height: 32px;
    top: 0;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--primaryColor);
    color: var(--backgroundColor);
    padding: 4px;
    z-index: 1047;
}
.header-banner span {
    text-transform: uppercase;
}
.header-main {
    height: 100%;
    position: relative;
    display: flex;
    justify-content: space-between;
}
.header-main .brand {
    position: relative;
    height: 100%;
    aspect-ratio: 1/1;
    padding: 12px 26px;
}
.header-main .brand svg {
    height: 39px;
}
.header-main nav {
    width: 620px;
    max-width: 50%;
}
nav ul {
    display: flex;
    padding: 0;
    margin: 0;
    width: 100%;
    justify-content: space-between;
    list-style: none;
}
nav li {
    padding: 0 24px;
}
nav li:first-child {
    padding-left: 0;
}
nav li:last-child {
    padding-right: 0;
}
nav a,
.one-link {
    position: relative;
    display: inline-block;
    width: fit-content;
    text-decoration: none;
    color: black;
    font-size: 16px;
    user-select: none;
}
#mobileToggle {
    position: absolute;
    right: 0;
    bottom: 0;
    height: 100%;
    aspect-ratio: 1/1;
    cursor: pointer;
}
#mobileToggle::before {
    content: "";
    position: absolute;
    display: block;
    top: 50%;
    left: 50%;
    height: 3px;
    width: 28px;
    background: var(--primaryColor);
    transform: translate(-50%, calc(-50% - 6px));
    transform-origin: 50%;
    transition: .25s;
}
#mobileToggle::after {
    content: "";
    position: absolute;
    display: block;
    top: 50%;
    left: 50%;
    height: 3px;
    width: 28px;
    background: var(--primaryColor);
    transform: translate(-50%, calc(-50% + 6px));
    transform-origin: 50%;
    transition: .25s;
}
.mobile-menu-toggled #mobileToggle::before,
.mobile-menu-toggled #mobileToggle::after {
    margin: 0;
    transform:  translate(-50%, -50%) rotate(45deg);
}
.mobile-menu-toggled #mobileToggle::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

#mobileMenu .offcanvas-body {
    padding-top: calc(var(--headerHeight) + 24px)
}


.one-link svg {
    margin-right: 4px;
}
nav a::after,
.one-link::after {
    content: "";
    display: block;
    position: absolute;
    bottom: -1px;
    left: 50%;
    transform: translateX(-50%);
    height: 2px;
    width: 0%;
    background: black;
    transition: .25s;
}
nav a.active {
    pointer-events: none;
}
nav a.active:not(.btn)::after,
.one-link:hover::after,
nav a:hover:not(.btn)::after {
    width: 100%;
}

#mobileMenu nav ul {
    flex-direction: column;
    align-items: center;
}
#mobileMenu nav li {
    padding: 12px 0;
}
#mobileMenu nav a {
    font-size: 18px;
}

.legal-text {
    font-size: 11px;
    opacity: .75;
}

.form-message {
    margin: 24px 0;
    font-size: 18px;
}
.form-message.error {
    color: red;
}
.form-message.with-vue:not(.show) {
    display: none;
}
.form-message.success {
    text-align: center;
    font-weight: bold;
    color: #009600;
}

#footer {
    position: relative;
    width: 100%;
    min-height: var(--footerHeight);
    overflow: hidden;
    padding: 24px 0;
}
#footer h3 {
    font-size: 3vw;
}
#footer .background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: -1;
}
#footer .background svg {
    padding: 48px;
    height: 200%;
    opacity: .25;
}
.footer-section {
    max-width: 50%;
}
.footer-section:nth-child(2) {
    width: 380px;
    max-width: 100%;
}
@media (max-width: 768px) {
    #footer {
        min-height: unset;
    }
    #footer h3 {
        font-size: 32px;
        margin-bottom: 24px;
    }
    .footer-section,
    .footer-section:nth-child(2) {
        max-width: unset;
        width: 100%;
        text-align: center;
    }
    .footer-section:nth-child(2) {
        margin-top: 24px;
    }
    #footer .btn {
        margin-bottom: 24px
    }
    #footer nav {
        padding: 0 12px;
    }
    #footer nav li {
        font-size: 12px;
        padding: 0 6px;
    }
    #footer .background svg {
        padding: 0;
        height: 150%;
        opacity: .15;
    }
}

.btn {
    padding: 12px 24px;
    background: var(--primaryColor);
    color: var(--backgroundColor);
    border: 2px solid var(--primaryColor, black);
    border-radius: var(--page-border-radius, 0px);
}
.btn:hover,
.btn:active,
.btn:focus {
    border-color: var(--primaryColor);
    background: transparent;
    color: var(--primaryColor);
}
.btn.btn-light {
    background: var(--backgroundColor);
    color: var(--primaryColor);
    border-color: var(--backgroundColor);
}
.btn.btn-light.btn-outline {
    background: transparent;
    color: var(--backgroundColor);
}
.btn.btn-light.btn-outline:hover,
.btn.btn-light.btn-outline:focus,
.btn.btn-light.btn-outline:active {
    background: var(--backgroundColor);
    color: var(--primaryColor);
}
.btn.btn-light:hover,
.btn.btn-light:focus,
.btn.btn-light:active {
    background: transparent;
    color: var(--backgroundColor);
}
.btn.btn-cta {
    background: var(--ctaColor);
    border-color: var(--ctaColor);
    color: var(--primaryColor);
}
.btn.btn-cta:hover,
.btn.btn-cta:active,
.btn.btn-cta:focus {
    border-color: var(--ctaColor);
    background: var(--primaryColor);
    color: var(--ctaColor);
}

.btn.btn-primary {
    background: var(--primaryColor);
    color: var(--backgroundColor);
}

form.loading .btn[type="submit"],
.btn.loading {
    position: relative;
    color: transparent;
    pointer-events: none;
    background: var(--primaryColor) !important;
}
form.loading .btn.btn-cta[type="submit"],
.btn.btn-cta.loading {
    background: var(--ctaColor) !important;
}
form.loading .btn.btn-light[type="submit"],
.btn.btn-light.loading {
    background: var(--backgroundColor) !important;
}

.vue-app.loading::after,
form.loading .btn[type="submit"]::after,
.contract-row.status-verifying td:first-child::after,
.btn.loading::after {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    height: 1rem;
    width: 1rem;
    transform: translate(-50%, -50%);

    border-top: 2px solid var(--backgroundColor);
    border-right: 2px solid transparent;
    border-bottom: 0px solid transparent;
    border-left: 2px solid var(--backgroundColor);

    border-radius: 50%;

    animation-name: btnLoading;
    animation-duration: 1s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}
.contract-row.status-verifying td:first-child::after {
    left: unset;
    display: inline;
    position: relative;
    top: 25%;
}

.vue-app.loading::after,
form.loading .btn.btn-primary[type="submit"]::after,
.btn.btn-primary.loading::after {
    border-top: 2px solid var(--backgroundColor);
    border-right: 2px solid transparent;
    border-bottom: 0px solid transparent;
    border-left: 2px solid var(--backgroundColor);
}
form.loading .btn.btn-light[type="submit"]::after,
.btn.btn-light.loading::after {
    border-top: 2px solid var(--primaryColor);
    border-left: 2px solid var(--primaryColor);
}
.vue-app.loading {
    min-height: 50vh;
}
.vue-app.loading .content {
    display: none;
}

@keyframes btnLoading {
    from { transform: translate(-50%, -50%) rotate(0); }
    to { transform: translate(-50%, -50%) rotate(360deg); }
}


section.image,
section.cards {
    padding-top: 120px;
}
section.image .image {
    position: relative;
    margin-top: 24px;
    height: 75vh;
}
section.image .image figure {
    position: relative;
    height: 100%;
    width: 100%;
    overflow: hidden;
}
section.image .image figure img {
    object-position: center 40%;
}
section.image .btn {
    position: absolute;
    bottom: 48px;
    left: 50%;
    transform: translateX(-50%);
}
@media (max-width: 768px) {
    section.image,
    section.cards {
        padding-top: 48px;
    }
    section.image .image {
        height: 50vh;
    }
}

#frameInspector {
    padding: 64px 0;
    position: relative;
    height: 100vh;
    background: #d9d9d9;
    overflow: hidden;
}
#frameInspector .container {
    position: relative;
    z-index: 9;
}
#frameInspector h2 {
    font-size: 62px;
    color: var(--primaryColor);
}
#frameInspector .frame {
    position: absolute;
    bottom: 0;
    right: 0;
    height: 100vh;
    width: fit-content;
}
#frameInspector .frame::before,
#frameInspector .frame::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    height: 50%;
    width: 100%;
    background: linear-gradient(to bottom, #d9d9d9 0%, transparent 100%);
    z-index: 1;
}
#frameInspector .frame::after {
    left: 0;
    height: 100%;
    width: 10%;
    background: linear-gradient(to right, #d9d9d9 0%, transparent 100%);
}
#frameInspector .frame img {
    position: relative;
    height: 100%;
    width: 100%;
    object-fit: contain;
}
#frameInspector .inspect-item {
    position: absolute;
    height: 12px;
    width: 12px;
    background: var(--primaryColor);
    border-radius: 50%;
    cursor: pointer;
}
@media (max-width: 768px) {
    #frameInspector {
        height: fit-content;
        padding-bottom: 0;
    }
    #frameInspector h2 {
        font-size: 52px;
        text-align: center;
    }
    #frameInspector .inspect-item {
        display: none;
    }
    #frameInspector .frame {
        position: relative;
        height: 220px;
        width: 100%;
    }
    #frameInspector .frame img {
        object-position: center bottom;
        object-fit: cover;
    }
}
#frameInspector .inspect-item::after {
    content: "";
    display: block;
    position: absolute;
    top: -4px;
    left: -4px;
    width: 20px;
    height: 20px;
    border: 1px solid var(--primaryColor);
    border-radius: 50%;
    transition: .25s;
}
#frameInspector .inspect-item:hover::after {
    border: 2px solid var(--primaryColor);
    height: 24px;
    width: 24px;
    top: -6px;
    left: -6px;
}
#frameInspector .inspect-item:not(:hover, .active)::after {
    animation-name: pulse;
    animation-duration: 2s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}
@keyframes pulse {
    0% { transform: scale(1); }
    50% { transform: scale(1.2); }
    100% { transform: scale(1); }
}

#frameInspector .inspect-item .content {
    opacity: 0;
    position: absolute;
    white-space: nowrap;
    width: fit-content;
    pointer-events: none;
    top: 50%;
    left: 0;
    transform: translate(-50%,-50%);
    /* transform: translate(calc(-100% - 96px), -50%); */
    color: var(--primaryColor);
    z-index: 10;
    transition: .25s;
}
#frameInspector .inspect-item .content::after {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(0, -50%);
    height: 2px;
    width: 0;
    background: var(--primaryColor);
    transition: .25s;
}
#frameInspector .inspect-item.above .content {
    white-space: unset;
    width: fit-content;
    pointer-events: none;
    top: 0;
    left: 50%;
    text-align: center;
    transform: translate(-50%, -100%);
}
#frameInspector .inspect-item.above .content::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 50%;
    right: unset;
    transform: translate(-50%, calc(100% + 16px));
    height: 0;
    width:2px;
}
#frameInspector .inspect-item.below .content {
    white-space: unset;
    width: fit-content;
    pointer-events: none;
    text-align: center;
    left: 50%;
    top: unset;
    bottom: 0;
    transform: translate(-50%, 100%);
}
#frameInspector .inspect-item.below .content::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 50%;
    right: unset;
    transform: translate(-50%, calc(-100% - 8px));
    height: 0;
    width:2px;
}

#frameInspector .inspect-item.active .content {
    transform: translate(calc(-100% - 96px), -50%);
}
#frameInspector .inspect-item.above.active .content {
    transform: translate(-50%, calc(-100% - 48px));
}
#frameInspector .inspect-item.below.active .content {
    transform: translate(-50%, calc(100% + 48px));
}

#frameInspector .inspect-item.active .content {
    opacity: 1;
}

#frameInspector .inspect-item.active::after {
    opacity: 0;
}
#frameInspector .inspect-item.active .content::after {
    width: 80px;
    height: 2px;
}
#frameInspector .inspect-item.active:not(.above, .below) .content::after {
    transform: translate(calc(100% + 16px), -50%);
}
#frameInspector .inspect-item.above.active .content::after,
#frameInspector .inspect-item.below.active .content::after {
    height: 40px;
    width: 2px;
}
/* #frameInspector .inspect-item.active .content {
    opacity: 0;
} */

.lense-type {
    aspect-ratio: 9/13;
    background: var(--primaryColor);
    border-radius: 8px;
    padding: 0;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.lense-type figure {
    position: relative;
    width: 100%;
    flex-grow: 1;
    flex-shrink: 1;
    margin: 0;
}
.lense-type .lense-footer {
    padding: 24px;
    width: 100%;
}
.lense-type .lense-footer .btn {
    width: 100%;
}

.contact-details-container {
    background: var(--primaryColor);
    color: var(--backgroundColor);
    border-radius: 8px;
}
.contact-details-container span.banner-title {
    font-weight: 200;
}
.contact-details-container .content {
    padding: 48px;
}
@media (max-width: 768px) {
    .contact-details-container {
        border-radius: 0;
    }
    .contact-details-container .content {
        padding: 48px 24px;
    }
}

section.subscribe-section,
section.contact-details {
    position: relative;
    margin-top: 48px;
    /* height: calc(90vh - var(--headerHeight)); */
    padding: 48px;
}

.subscribe-form-container {
    height: 100%;
    width: 100%;
    background: var(--primaryColor);
    border-radius: 8px;
    color: var(--backgroundColor);
    padding: 92px 48px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.subscribe-form-container h2,
.contact-details-container h2 {
    font-size: 52px;
}
@media (max-width: 768px) {
    section.subscribe-section {
        padding: 0;
    }
    .subscribe-form-container {
        border-radius: 0;
        padding: 48px 24px;
    }
}
.form-input {
    width: 100%;
}
.form-input.light {
    background: transparent;
    border-bottom: 2px solid white;
    color: white;
    border-radius: 0;
    padding: 8px;
}
.form-input:focus,
.form-input:active {
    outline: none;
    box-shadow: none;
}

.form-input {
    font-size: 12pt;
    padding: .15rem .15rem .15rem .5rem;
    border: 1px solid var(--primaryColor, black);
    border-radius: var(--page-border-radius, 0px);
}
textarea {
    min-height: 200px;
    max-height: 500px;
}

.contact-section {
    margin-top: 72px;
    padding: 0 48px;
}
.contact-section h2 {
    font-size: 52px;
}
#contactForm {
    margin-top: 24px;
    background: var(--primaryColor);
    color: var(--backgroundColor);
    padding: 48px;
    border-radius: 8px;
}
@media (max-width: 768px) {
    #contactForm {
        border-radius: 0;
        padding: 48px 24px;
    }
    .contact-section,
    .contact-details {
        padding: 0 !important;
    }
}

.social-link {
    display: flex;
    align-items: center;
    justify-content: center;
}
.social-link svg {
    height: 21px;
    width: 21px;
    fill: var(--primaryColor);
}
.social-link.cta svg {
    fill: var(--ctaColor);
}

.grecaptcha-badge {
    display: none;
}